agent_id: sleep-consolidator
model: claude-sonnet-4-6
squad: memory-and-knowledge
thread_type: L-Thread
purpose: End-of-session memory consolidation; compress episodic to semantic, archive raw transcripts, prune noise
status: ready
created: 2026-02-24
